const data = {
  name: "常用字符",
  code: "symbol",
  source: "symbol",
  children: [
    {
      name: "二元运算符 Binary operations",
      source: "binary",
      children: [
        {
          output: "\\setminus",
          source: "setminus",
        },
        {
          output: "\\star",
          source: "star",
        },
        {
          output: "\\ast",
          source: "ast",
        },
        {
          output: "\\cup",
          source: "cup",
        },
        {
          output: "\\cap",
          source: "cap",
        },
        {
          output: "\\sqcup",
          source: "sqcup",
        },
        {
          output: "\\sqcap",
          source: "sqcap",
        },
        {
          output: "\\vee",
          source: "vee",
        },
        {
          output: "\\wedge",
          source: "wedge",
        },
        {
          output: "\\circ",
          source: "circ",
        },
        {
          output: "+",
          source: "plus",
        },
        {
          output: "\\bullet",
          source: "bullet",
        },
        {
          output: "\\oplus",
          source: "oplus",
        },
        {
          output: "\\ominus",
          source: "ominus",
        },
        {
          output: "\\odot",
          source: "odot",
        },
        {
          output: "\\oslash",
          source: "oslash",
        },
        {
          output: "\\otimes",
          source: "otimes",
        },
        {
          output: "\\bigcirc",
          source: "bigcirc",
        },
        {
          output: "\\diamond",
          source: "diamonda",
        },
        {
          output: "\\uplus",
          source: "uplus",
        },
        {
          output: "\\bigtriangleup",
          source: "bigtriangleup",
        },
        {
          output: "-",
          source: "minus",
        },
        {
          output: "\\bigtriangledown",
          source: "bigtriangledown",
        },
        {
          output: "\\lhd",
          source: "lhd",
        },
        {
          output: "\\rhd",
          source: "rhd",
        },
        {
          output: "\\unlhd",
          source: "unlhd",
        },
        {
          output: "\\unrhd",
          source: "unrhd",
        },
        {
          output: "\\amalg",
          source: "amalg",
        },
        {
          output: "\\wr",
          source: "wr",
        },
        {
          output: "\\dagger",
          source: "dagger",
        },
        {
          output: "\\ddagger",
          source: "ddagger",
        },
        {
          output: "\\times",
          source: "times",
        },
        {
          output: "\\div",
          source: "div",
        },
        {
          output: "\\pm",
          source: "pm",
        },
        {
          output: "\\mp",
          source: "mp",
        },
        {
          output: "\\triangleleft",
          source: "triangleleft",
        },
        {
          output: "\\triangleright",
          source: "triangleright",
        },
        {
          output: "\\cdot",
          source: "cdot",
        },
      ],
    },
    {
      name: "二元关系符 Binary relations",
      source: "relation",
      children: [
        {
          output: "<",
          source: "less",
        },
        {
          output: ">",
          source: "more",
        },
        {
          output: "=",
          source: "equal",
        },
        {
          output: "\\le",
          source: "le",
        },
        {
          output: "\\ge",
          source: "ge",
        },
        {
          output: "\\equiv",
          source: "equiv",
        },
        {
          output: "\\ll",
          source: "ll",
        },
        {
          output: "\\gg",
          source: "gg",
        },
        {
          output: "\\doteq",
          source: "doteq",
        },
        {
          output: "\\prec",
          source: "prec",
        },
        {
          output: "\\succ",
          source: "succ",
        },
        {
          output: "\\sim",
          source: "sim",
        },
        {
          output: "\\preceq",
          source: "preceq",
        },
        {
          output: "\\succeq",
          source: "succeq",
        },
        {
          output: "\\simeq",
          source: "simeq",
        },
        {
          output: "\\approx",
          source: "approx",
        },
        {
          output: "\\subset",
          source: "subset",
        },
        {
          output: "\\supset",
          source: "supset",
        },
        {
          output: "\\subseteq",
          source: "subseteq",
        },
        {
          output: "\\supseteq",
          source: "supseteq",
        },
        {
          output: "\\sqsubset",
          source: "sqsubset",
        },
        {
          output: "\\sqsupset",
          source: "sqsupset",
        },
        {
          output: "\\sqsubseteq",
          source: "sqsubseteq",
        },
        {
          output: "\\sqsupseteq",
          source: "sqsupseteq",
        },
        {
          output: "\\cong",
          source: "cong",
        },
        {
          output: "\\Join",
          source: "Join",
        },
        {
          output: "\\bowtie",
          source: "bowtie",
        },
        {
          output: "\\propto",
          source: "propto",
        },
        {
          output: "\\in",
          source: "in",
        },
        {
          output: "\\ni",
          source: "ni",
        },
        {
          output: "\\vdash",
          source: "vdash",
        },
        {
          output: "\\dashv",
          source: "dashv",
        },
        {
          output: "\\models",
          source: "models",
        },
        {
          output: "\\mid",
          source: "mid",
        },
        {
          output: "\\parallel",
          source: "parallel",
        },
        {
          output: "\\perp",
          source: "perp",
        },
        {
          output: "\\smile",
          source: "smile",
        },
        {
          output: "\\frown",
          source: "frown",
        },
        {
          output: "\\asymp",
          source: "asymp",
        },
        {
          output: ":",
          source: "slash",
        },
        {
          output: "\\notin",
          source: "notin",
        },
        {
          output: "\\ne",
          source: "ne",
        },
      ],
    },
    {
      name: "箭头符号 Arrows",
      source: "arrow",
      children: [
        {
          output: "\\longmapsto",
          source: "longmapsto",
        },
        {
          output: "\\nearrow",
          source: "nearrow",
        },
        {
          output: "\\searrow",
          source: "searrow",
        },
        {
          output: "\\swarrow",
          source: "swarrow",
        },
        {
          output: "\\nwarrow",
          source: "nwarrow",
        },
        {
          output: "\\hookleftarrow",
          source: "hookleftarrow",
        },
        {
          output: "\\hookrightarrow",
          source: "hookrightarrow",
        },
        {
          output: "\\rightleftharpoons",
          source: "rightleftharpoons",
        },
        {
          output: "\\iff",
          source: "iff",
        },
        {
          output: "\\leftharpoonup",
          source: "leftharpoonup",
        },
        {
          output: "\\rightharpoonup",
          source: "rightharpoonup",
        },
        {
          output: "\\leftharpoondown",
          source: "leftharpoondown",
        },
        {
          output: "\\rightharpoondown",
          source: "rightharpoondown",
        },
        {
          output: "\\gets",
          source: "gets",
        },
        {
          output: "\\to",
          source: "to",
        },
        {
          output: "\\longleftarrow",
          source: "longleftarrowa",
        },
        {
          output: "\\longrightarrow",
          source: "longrightarrowa",
        },
        {
          output: "\\uparrow",
          source: "uparrowa",
        },
        {
          output: "\\downarrow",
          source: "downarrowa",
        },
        {
          output: "\\updownarrow",
          source: "updownarrowa",
        },
        {
          output: "\\leftrightarrow",
          source: "leftrightarrowa",
        },
        {
          output: "\\Uparrow",
          source: "Uparrowb",
        },
        {
          output: "\\Downarrow",
          source: "Downarrowb",
        },
        {
          output: "\\Updownarrow",
          source: "Updownarrowb",
        },
        {
          output: "\\longleftrightarrow",
          source: "longleftrightarrowa",
        },
        {
          output: "\\Leftarrow",
          source: "Leftarrow",
        },
        {
          output: "\\Longleftarrow",
          source: "Longleftarrowb",
        },
        {
          output: "\\Rightarrow",
          source: "Rightarrow",
        },
        {
          output: "\\Longrightarrow",
          source: "Longrightarrowb",
        },
        {
          output: "\\Leftrightarrow",
          source: "Leftrightarrowb",
        },
        {
          output: "\\Longleftrightarrow",
          source: "Longleftrightarrowb",
        },
        {
          output: "\\mapsto",
          source: "mapsto",
        },
      ],
    },
    {
      name: "其他符号 Others",
      source: "other",
      children: [
        {
          output: "\\because",
          source: "because",
        },
        {
          output: "\\therefore",
          source: "therefore",
        },
        {
          output: "\\dots",
          source: "dots",
        },
        {
          output: "\\cdots",
          source: "cdots",
        },
        {
          output: "\\vdots",
          source: "vdots",
        },
        {
          output: "\\ddots",
          source: "ddots",
        },
        {
          output: "\\forall",
          source: "forall",
        },
        {
          output: "\\exists",
          source: "exists",
        },
        {
          output: "\\nexists",
          source: "nexists",
        },
        {
          output: "\\Finv",
          source: "Finv",
        },
        {
          output: "\\neg",
          source: "neg",
        },
        {
          output: "\\prime",
          source: "prime",
        },
        {
          output: "\\emptyset",
          source: "emptyset",
        },
        {
          output: "\\infty",
          source: "infty",
        },
        {
          output: "\\nabla",
          source: "nabla",
        },
        {
          output: "\\triangle",
          source: "triangle",
        },
        {
          output: "\\Box",
          source: "Box",
        },
        {
          output: "\\Diamond",
          source: "Diamondb",
        },
        {
          output: "\\bot",
          source: "bot",
        },
        {
          output: "\\top",
          source: "top",
        },
        {
          output: "\\angle",
          source: "angle",
        },
        {
          output: "\\measuredangle",
          source: "measuredangle",
        },
        {
          output: "\\sphericalangle",
          source: "sphericalangle",
        },
        {
          output: "\\surd",
          source: "surd",
        },
        {
          output: "\\diamondsuit",
          source: "diamondsuit",
        },
        {
          output: "\\heartsuit",
          source: "heartsuit",
        },
        {
          output: "\\clubsuit",
          source: "clubsuit",
        },
        {
          output: "\\spadesuit",
          source: "spadesuit",
        },
        {
          output: "\\flat",
          source: "flat",
        },
        {
          output: "\\natural",
          source: "natural",
        },
        {
          output: "\\sharp",
          source: "sharp",
        },
      ],
    },
  ],
};

export default data;
