const data = {
  name: "物理",
  code: "physics",
  source: "physics",
  children: [
    {
      output:
        "\\sum {{{ \\mathord{ \\buildrel{ \\lower3pt \\hbox{$ \\scriptscriptstyle \\rightharpoonup$}} \\over F} }_i}} = \\frac{{d \\mathord{ \\buildrel{ \\lower3pt \\hbox{$ \\scriptscriptstyle \\rightharpoonup$}} \\over v} }}{{dt}} = 0 ",
      source: "physics_1",
    },
    {
      output:
        "\\mathord{ \\buildrel{ \\lower3pt \\hbox{$ \\scriptscriptstyle \\rightharpoonup$}} \\over F}  = m \\mathord{ \\buildrel{ \\lower3pt \\hbox{$ \\scriptscriptstyle \\rightharpoonup$}}  \\over a}  = m \\frac{{{d^2} \\mathord{ \\buildrel{ \\lower3pt \\hbox{$ \\scriptscriptstyle \\rightharpoonup$}} \\over r} }}{{d{t^2}}} ",
      source: "physics_2",
    },
    {
      output:
        "{{ \\mathord{ \\buildrel{ \\lower3pt \\hbox{$ \\scriptscriptstyle \\rightharpoonup$}} \\over F} }_{12}} =  - {{ \\mathord{ \\buildrel{ \\lower3pt \\hbox{$ \\scriptscriptstyle \\rightharpoonup$}}  \\over F} }_{21}} ",
      source: "physics_3",
    },
    {
      output: "{E_p} = -\\frac{{GMm}}{r} ",
      source: "physics_4",
    },
    {
      output:
        "\\mathord{ \\buildrel{ \\lower3pt \\hbox{$ \\scriptscriptstyle \\rightharpoonup$}}  \\over F}  = k \\frac{{Qq}}{{{r^2}}} \\hat{r} ",
      source: "physics_5",
    },
    {
      output:
        "\\oint_L { \\mathord{ \\buildrel{ \\lower3pt \\hbox{$ \\scriptscriptstyle \\rightharpoonup$}} \\over E} } \\cdot { \\rm{d}} \\mathord{ \\buildrel{ \\lower3pt \\hbox{$ \\scriptscriptstyle \\rightharpoonup$}}  \\over l}  = 0 ",
      source: "physics_6",
    },
    {
      output:
        "d \\mathord{ \\buildrel{ \\lower3pt \\hbox{$ \\scriptscriptstyle \\rightharpoonup$}} \\over B} = \\frac{{{ \\mu _0}}}{{4 \\pi }} \\frac{{Idl \\times \\mathord{ \\buildrel{ \\lower3pt \\hbox{$ \\scriptscriptstyle \\rightharpoonup$}} \\over r} }}{{{r^3}}} =  \\frac{{{ \\mu _0}}}{{4 \\pi }} \\frac{{Idl \\sin \\theta }}{{{r^2}}} ",
      source: "physics_7",
    },
    {
      output: "d \\vec{F}= Id \\vec{l} \\times \\vec{B} ",
      source: "physics_8",
    },
    {
      output: "E = n{{ \\Delta \\Phi } \\over {\\Delta {t} }} ",
      source: "physics_9",
    },
    {
      output:
        "\\mathop \\Phi \\nolimits_e = \\oint { \\mathord{ \\buildrel{ \\lower3pt \\hbox{$ \\scriptscriptstyle \\rightharpoonup$}} \\over E} \\cdot {d \\mathord{ \\buildrel{ \\lower3pt \\hbox{$ \\scriptscriptstyle \\rightharpoonup$}} \\over S}}  = {1 \\over {{\\varepsilon _0}}}\\sum {q} } ",
      source: "physics_10",
    },
    {
      output:
        "\\oint { \\mathord{ \\buildrel{ \\lower3pt \\hbox{$ \\scriptscriptstyle \\rightharpoonup$}} \\over E} \\cdot {d\\mathord{\\buildrel{\\lower3pt\\hbox{$\\scriptscriptstyle\\rightharpoonup$}}\\over l}}  =  - {{d{\\varphi _B}} \\over {dt}}} ",
      source: "physics_11",
    },
    {
      output:
        "\\oint { \\mathord{ \\buildrel{ \\lower3pt \\hbox{$ \\scriptscriptstyle \\rightharpoonup$}} \\over B} \\cdot {d \\mathord{ \\buildrel{ \\lower3pt \\hbox{$ \\scriptscriptstyle \\rightharpoonup$}} \\over l}}  = { \\mu _0}} I + { \\mu _0}{I_d} ",
      source: "physics_12",
    },
    {
      output: "Q = I ^ { 2 } R \\mathrm { t } ",
      source: "physics_13",
    },
    {
      output: "F = G{{Mm} \\over {{r^2}}} ",
      source: "physics_14",
    },
    {
      output: "{E_k} = hv - {W_0}",
      source: "physics_15",
    },
    {
      output:
        "\\lambda = \\frac{{ \\frac{{{c^2}}}{v}}}{{ \\frac{{m{c^2}}}{h}}} = \\frac{h}{{mv}} = \\frac{h}{p}  ",
      source: "physics_16",
    },
    {
      output: "\\Delta {x} \\Delta {p} \\ge \\frac{h}{{4 \\pi }} ",
      source: "physics_17",
    },
    {
      output: "l = {l_0} \\sqrt {1 - {{( \\frac{v}{c})}^2}} ",
      source: "physics_18",
    },
    {
      output: "{y_0} = A \\cos ( \\omega {t} + { \\varphi _0}) ",
      source: "physics_19",
    },
    {
      output:
        "y(t) = A \\cos ( \\frac{{2 \\pi {x}}}{ \\lambda } +  \\varphi ) ",
      source: "physics_20",
    },
    {
      output: `
\\begin{array}{l}  
  \\nabla \\cdot \\mathbf{E} =\\cfrac{\\rho}{\\varepsilon _0}  \\\\  
  \\nabla \\cdot \\mathbf{B} = 0 \\\\  
  \\nabla \\times  \\mathbf{E} = -\\cfrac{\\partial \\mathbf{B}}{\\partial t }  \\\\  
  \\nabla \\times  \\mathbf{B} = \\mu _0\\mathbf{J} + \\mu _0\\varepsilon_0 \\cfrac{\\partial \\mathbf{E}}{\\partial t }   
\\end{array}
      `,
      source: "physics_21",
    },
    {
      output: `
\\begin{array}{l}  
  {\\huge \\unicode{8751}}_\\mathbb{S}  \\mathbf{E} \\cdot\\mathrm{d}s= \\cfrac{Q}{\\varepsilon_0}  \\\\  
  {\\huge \\unicode{8751}}_\\mathbb{S}  \\mathbf{B} \\cdot\\mathrm{d}s= 0 \\\\  
  {\\huge \\oint}_{\\mathbb{L}}^{} \\mathbf{E} \\cdot \\mathrm{d}l=-\\cfrac{\\mathrm{d}\\Phi _{\\mathbf{B}}}{\\mathrm{d}t }  \\\\ 
  {\\huge \\oint}_{\\mathbb{L}}^{} \\mathbf{B} \\cdot \\mathrm{d}l=\\mu_0I+ \\mu_0 \\varepsilon_0\\cfrac{\\mathrm{d}\\Phi _{\\mathbf{E}}}{\\mathrm{d}t }   
\\end{array}  
      `,
      source: "physics_22",
    },
    {
      output: `
\\begin{array}{l}  
  \\nabla \\cdot \\mathbf{D} =\\rho _f \\\\  
  \\nabla \\cdot \\mathbf{B} = 0 \\\\  
  \\nabla \\times  \\mathbf{E} = -\\cfrac{\\partial \\mathbf{B}}{\\partial t }  \\\\  
  \\nabla \\times  \\mathbf{H} = \\mathbf{J}_f +  \\cfrac{\\partial \\mathbf{D}}{\\partial t }   
\\end{array}  
      `,
      source: "physics_23",
    },
    {
      output: `
\\begin{array}{l}  
  {\\huge \\unicode{8751}}_\\mathbb{S}  \\mathbf{D} \\cdot\\mathrm{d}s= Q_f \\\\  
  {\\huge \\unicode{8751}}_\\mathbb{S}  \\mathbf{B} \\cdot\\mathrm{d}s= 0 \\\\  
  {\\huge \\oint}_{\\mathbb{L}}^{} \\mathbf{E} \\cdot \\mathrm{d}l=-\\cfrac{\\mathrm{d}\\Phi _{\\mathbf{B}}}{\\mathrm{d}t }  \\\\  
  {\\huge \\oint}_{\\mathbb{L}}^{} \\mathbf{H} \\cdot \\mathrm{d}l=I_f+\\cfrac{\\mathrm{d}\\Phi _{\\mathbf{D}}}{\\mathrm{d}t }   
\\end{array}
      `,
      source: "physics_24",
    },
  ],
};

export default data;
